Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.nativebinaries.toolchain
[Java] Interface TargetPlatformConfiguration

    @Incubating
    public interface TargetPlatformConfiguration

Configuration to add support for a target platform to a PlatformConfigurableToolChain.

Method Summary
`List` | `getAssemblerArgs()` The additional args supplied to the Assembler to target the platform.
`List` | `getCCompilerArgs()` The additional args supplied to the C compiler to target the platform.
`List` | `getCppCompilerArgs()` The additional args supplied to the C++ compiler to target the platform.
`List` | `getLinkerArgs()` The additional args supplied to the Linker to target the platform.
`List` | `getStaticLibraryArchiverArgs()` The additional args supplied to the Static Library Archiver to target the platform.
`boolean` | `supportsPlatform(Platform targetPlatform)` Matches the platform that this configuration supports.

Method Detail

### getAssemblerArgs

    public List getAssemblerArgs()

  The additional args supplied to the Assembler to target the platform.

### getCCompilerArgs

    public List getCCompilerArgs()

  The additional args supplied to the C compiler to target the platform.

### getCppCompilerArgs

    public List getCppCompilerArgs()

  The additional args supplied to the C++ compiler to target the platform.

### getLinkerArgs

    public List getLinkerArgs()

  The additional args supplied to the Linker to target the platform.

### getStaticLibraryArchiverArgs

    public List getStaticLibraryArchiverArgs()

  The additional args supplied to the Static Library Archiver to target the platform.

### supportsPlatform

    public boolean supportsPlatform(Platform targetPlatform)

  Matches the platform that this configuration supports.

Gradle API 1.10